png::packed_pixel< bits > Class Template Reference

The packed pixel class template. More...

`#include <packed_pixel.hpp>`

Inheritance diagram for png::packed_pixel< bits >:

## Public Member Functions

| packed_pixel (byte value=0)
| operator byte () const

## Static Public Member Functions

static int | get_bit_depth ()
static byte | get_bit_mask ()

## Detailed Description

### template<int bits>
class png::packed_pixel< bits >

The packed pixel class template.

See also
  packed_gray_pixel, packed_index_pixel

## Constructor & Destructor Documentation

## packed_pixel()

template<int bits>

png::packed_pixel< bits >::packed_pixel | ( | byte | value = `0` | ) |

inline

## Member Function Documentation

## operator byte()

template<int bits>

png::packed_pixel< bits >::operator byte | ( |  | ) | const

inline

## get_bit_depth()

template<int bits>

static int png::packed_pixel< bits >::get_bit_depth | ( |  | ) |

inline static

## get_bit_mask()

template<int bits>

static byte png::packed_pixel< bits >::get_bit_mask | ( |  | ) |

inline static

The documentation for this class was generated from the following file:

- packed_pixel.hpp